Introducing Microsoft FrontPage Express

FrontPage Express is a Web-page editor that gives you full access to the power of HTML (Hypertext Markup Language). You can use FrontPage Express to create and format Web pages in HTML, working in a WYSIWYG ("what you see is what you get") view, so you can see how your formatting and layout will actually appear.

FrontPage Express also works with the Customize this Folder wizard (on the View menu in My Computer) so that you can easily customize how your folders appear.

With the easy-to-use features of FrontPage Express, you can create powerful and sophisticated Web pages. For example, you can:

  • Apply HTML tags from the list on the toolbar without having to manually type them in.

  • Select text or paragraphs and apply formatting and alignment with the click of a toolbar button.

  • Insert images that you've created or clip-art from your favorite collections (collections are not included with FrontPage Express).

  • Open existing Web pages directly from the Web (if the Web Publishing wizard is installed) or from a file on your computer or a network.

  • Save your work directly to the Web (using the Web Publishing wizard) or to a file.

  • Add marquees (scrolling text).

FrontPage Express offers many of the features of Microsoft FrontPage Editor, in a smaller package. It's easy to move up to FrontPage without having to learn a new program or method of creating Web page. FrontPage offers the added features of FrontPage Editor and FrontPage Explorer.


Personalizing your folders using Web style

Now, anything you can do on a Web page you can do in any folder on your hard disk!

When you display the contents of your computer by using Web style, you can customize the background of any folder by using the Customize this Folder wizard (on the View menu in My Computer). Even more exciting, you can turn any folder into a Web page by using the wizard and FrontPage Express.

When your folder is a Web page, you can use FrontPage Express to add links to Outlook Express or other components, insert ActiveX Controls, customize font styles and sizes, or add watermarks. Use this feature just for fun, or use it to share the latest business information in customized shared folders. Either way, you can create folders that specifically meet your needs.


Advanced FrontPage Express features

You can make your Web pages sophisticated and powerful with the easy-to-use features in FrontPage Express:

  • Add background colors and watermarks.

  • Use WebBot components to add rich functionality without complex programming. A WebBot is a "dynamic object" on a Web page that runs when the Web author saves the page on the Web server or, in some cases, when the user views the page. FrontPage Express includes WebBots that add Time Stamp, Include, and Search features to Web pages. (To get a full range of WebBots, such as forms handling, navigation bars, and more, you can upgrade to Microsoft FrontPage.)

  • Use ActiveX Controls to extend the power of your Web page.

  • Insert new HTML tags as they become available, using the HTML Markup command.

  • View and edit all HTML tags directly on the Web page. The color coding in FrontPage Express makes it easy to distinguish tags from content.


Moving up to FrontPage

Moving up to Microsoft FrontPage

When you�re ready to create more advanced Web pages, it�s easy to move up from Microsoft FrontPage Express to Microsoft FrontPage. The product will already look familiar, because FrontPage Express was designed based on FrontPage Editor in Microsoft FrontPage.

Microsoft FrontPage is a complete package for Web page authors and Web-site administrators. FrontPage Express and FrontPage are a great combination for organizations where individual needs vary from simple viewing and editing (FrontPage Express) to unlimited editing, viewing, and Web administration (FrontPage).

FrontPage provides a complete Web-authoring environment with the following components:

  • FrontPage Editor enables you to create, view, and save HTML documents. It includes templates, wizards, and WebBots so that you can easily create powerful Web pages. Because FrontPage Editor also acts as a mini-browser, you can use it to import pages from anywhere on the Internet or an intranet.

  • FrontPage Explorer enables you to administer, view, and manipulate a Web site. You can develop and test a Web site on your personal computer and then copy the entire site to a Web server. Or you can use FrontPage Explorer as a personal Web server to run a Web site directly from your desktop, either as part of an intranet or as a public site on the World Wide Web.